Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::PointWithRange > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointWithRange &p) const
void | get (const pcl::PointWithRange &p, float &intensity) const
void | set (pcl::PointWithRange &p, float intensity) const
void | demean (pcl::PointWithRange &p, float value) const
void | add (pcl::PointWithRange &p, float value) const

## Detailed Description

Definition at line 453 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::add | ( | pcl::PointWithRange & | p,
|  | float | value
| ) |  | const

inline

Definition at line 480 of file intensity.hpp.

References pcl::_PointWithRange::range.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::demean | ( | pcl::PointWithRange & | p,
|  | float | value
| ) |  | const

inline

Definition at line 474 of file intensity.hpp.

References pcl::_PointWithRange::range.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::get | ( | const pcl::PointWithRange & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 462 of file intensity.hpp.

References pcl::_PointWithRange::range.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::operator() | ( | const pcl::PointWithRange & | p | ) | const

inline

Definition at line 456 of file intensity.hpp.

References pcl::_PointWithRange::range.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointWithRange >::set | ( | pcl::PointWithRange & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 468 of file intensity.hpp.

References pcl::_PointWithRange::range.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp